<form role="form" class="ginseng-settings">
	<div class="row">
		<div class="col-md-9">
			<div class="row">
				<div class="col-sm-2 col-xs-12 settings-header">General</div>
				<div class="col-sm-10 col-xs-12">
					<div class="form-group">
						<label for="name">Base Name</label>
						<input type="text" id="name" name="name" title="Base Name" class="form-control" placeholder="app" />
					</div>
					<div class="form-group">
						<label for="cookieName">Cookie Name</label>
						<input type="text" id="cookieName" name="cookieName" title="Cookie Name" class="form-control" placeholder="token" />
					</div>
					<div class="form-group">
						<label for="cookieDomain">Cookie Domain</label>
						<input type="text" id="cookieDomain" name="cookieDomain" title="Cookie Domain" class="form-control" />
						<p class="help-block">
							Specifying the common cookie domain here will allow NodeBB to delete the common cookie when a user
							logs out of NodeBB. If not set (default), then the user will simply be logged in again as their
							common cookie still exists. This may actually be what you want.
						</p>
					</div>
                    <div class="form-group">
                        <label for="secret">JWT Secret</label>
                        <input type="text" id="secret" name="secret" title="JWT Secret" class="form-control" />
                        <p class="help-block">
                            This value is the secret key you used to encode your JSON Web Token. NodeBB needs the same secret
                            otherwise the JWT cannot be properly decoded.
                        </p>
                    </div>   
                    <div class="form-group">
						<label for="OSSProvinder">OSS Provinder</label>
						<select class="form-control" name="OSSProvinder" id="OSSProvinder">
							<option value="AliYun">AliYun</option>
							<option value="LeanCloud">LeanCloud</option>
						</select>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-sm-2 col-xs-12 settings-header">AliYun</div>
				<div class="col-sm-10 col-xs-12">
					<div class="form-group">
						<label for="aliOSSKeyId">AccessKey ID</label>
						<input type="text" id="aliOSSKeyId" name="aliOSSKeyId" title="AccessKey ID" class="form-control"/>
					</div>
					<div class="form-group">
						<label for="aliOSSKeySecret">AccesKey Secret</label>
						<input type="text" id="aliOSSKeySecret" name="aliOSSKeySecret" title="AccessKey Secret" class="form-control" />
					</div>
					<div class="form-group">
						<label for="aliOSSEndPoint">EndPoint</label>
						<input type="text" id="aliOSSEndPoint" name="aliOSSEndPoint" title="EndPoint" class="form-control" />
					</div>
					<div class="form-group">
						<label for="aliOSSBucket">Bucket</label>
						<input type="text" id="aliOSSBucket" name="aliOSSBucket" title="Bucket" class="form-control"/>
					</div>						
				</div>
			</div>	

			<div class="row">
				<div class="col-sm-2 col-xs-12 settings-header">LeanCloud</div>
				<div class="col-sm-10 col-xs-12">
					<div class="form-group">
						<label for="lcAppId">App ID</label>
						<input type="text" id="lcAppId" name="lcAppId" title="App ID" class="form-control"/>
					</div>
					<div class="form-group">
						<label for="lcAppKey">App Key</label>
						<input type="text" id="lcAppKey" name="lcAppKey" title="App Key" class="form-control" />
					</div>
					<div class="form-group">
						<label for="lcAppMasterKey">App Master Key</label>
						<input type="text" id="lcAppMasterKey" name="lcAppMasterKey" title="App Master Key" class="form-control" />
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-sm-2 col-xs-12 settings-header">Session Handling</div>
				<div class="col-sm-10 col-xs-12">
					<div class="form-group">
						<label for="behaviour">Cookie changes</label>
						<select class="form-control" name="behaviour" id="behaviour">
							<option value="trust">"Trust" &rarr; Shared cookie token used once only to authenticate, session persists even if cookie cleared</option>
							<option value="revalidate">"Revalidate" &rarr; Shared cookie is checked on every page load, and updated/logged out to reflect changes in cookie</option>
						</select>
					</div>
					<div class="checkbox">
						<label class="mdl-switch mdl-js-switch mdl-js-ripple-effect">
							<input class="mdl-switch__input" type="checkbox" id="noRegistration" name="noRegistration" />
							<span class="mdl-switch__label"><strong>Do not automatically create NodeBB accounts for unrecognized users</strong></span>
						</label>
						<div class="help-block">
							By default, an unrecognized user id found in a payload cookie will have a local NodeBB account automatically created for it. If enabled,
							that cookie will not resolve into a session and that client will remain a guest.
						</div>
					</div>
					<div class="form-group">
						<label for="logoutRedirect">Logout Redirection</label>
						<input type="text" class="form-control" id="logoutRedirect" name="logoutRedirect" />
						<p class="help-block">
							If set, once a user logs out from NodeBB, they will be sent to this link. Setting this option may be useful if you'd like to trigger
							a session logout in your own application instead.
						</p>
					</div>
					<div class="form-group">
						<label for="loginOverride">Login Override</label>
						<input type="text" class="form-control" id="loginOverride" name="loginOverride" />
						<p class="help-block">
							If set, users clicking the "Login" button will be redirected to this link instead
						</p>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-sm-2 col-xs-12 settings-header">Guest Handling</div>
				<div class="col-sm-10 col-xs-12">
					<div class="form-group">
						<label for="guestRedirect">Re-direct unauthenticated sessions (guests) to this address</label>
						<input type="text" id="guestRedirect" name="guestRedirect" class="form-control" placeholder="https://...">
						<p class="help-block">
							Blank value disables guest redirection.
						</p>
						<p class="help-block">
							<code>%1</code> can be used as a placeholder for the link the user landed on (will be URL encoded)
						</p>
					</div>
				</div>
			</div>
		</div>
		<div class="col-md-3">
			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title">User Search</h3>
				</div>
				<div class="panel-body">
					<input type="text" class="form-control" id="search" />
					<p class="help-block">
						Search for a username here to find their associated unique ID.
					</p>
					<p id="result"></p>
				</div>
			</div>
			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title">Remote ID Search</h3>
				</div>
				<div class="panel-body">
					<input type="text" class="form-control" id="remote_search" />
					<p class="help-block">
						Enter a remote ID here to find their NodeBB user profile.
					</p>
					<p id="local_result"></p>
				</div>
			</div>
		</div>
	</div>
</form>

<button id="save" class="floating-button mdl-button mdl-js-button mdl-button--fab mdl-js-ripple-effect mdl-button--colored">
	<i class="material-icons">save</i>
</button>